Document of c-modernization-kit (override-sample) 1.0.0

Loading...
Searching...
No Matches
Macros | Functions
libbase.h File Reference

ベースライブラリ (動的リンク用) のヘッダーファイル。 More...

`#include <stddef.h>`
`#include <funcman.h>`
Include dependency graph for libbase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | BASE_EXPORT
| DLL エクスポート/インポート制御マクロ。
#define | BASE_API
| 呼び出し規約マクロ。

## Functions
BASE_EXPORT int BASE_API | sample_func (const int a, const int b, int *result)
| 計算処理を行います。
BASE_EXPORT void BASE_API | console_output (const char *format,...)
| printf と同じ書式でコンソールに出力します。
BASE_EXPORT int BASE_API | funcman_info_libbase (void)
| libbase が管理する funcman_object ポインタ配列の内容を標準出力に表示します。

## Detailed Description

ベースライブラリ (動的リンク用) のヘッダーファイル。

Author
  c-modenization-kit sample team

Date
  2026/02/21

Version
  1.0.0

このライブラリは動的ライブラリのオーバーライド機能を示すサンプルです。

Copyright
  Copyright (C) CompanyName, Ltd. 2026. All rights reserved.

Definition in file libbase.h.

## Macro Definition Documentation

## ◆ BASE_EXPORT

#define BASE_EXPORT

DLL エクスポート/インポート制御マクロ。

ビルド条件に応じて以下の値を取ります。

条件 | 値
--- | ---
Linux (非 Windows) | (空)
Windows / __INTELLISENSE__ 定義時 | (空)
Windows / BASE_STATIC 定義時 (静的リンク) | (空)
Windows / BASE_EXPORTS 定義時 (DLL ビルド) | __declspec(dllexport)
Windows / BASE_EXPORTS 未定義時 (DLL 利用側) | __declspec(dllimport)

Definition at line 37 of file libbase.h.

## ◆ BASE_API

#define BASE_API

呼び出し規約マクロ。

Windows 環境では __stdcall 呼び出し規約を指定します。
Linux (非 Windows) 環境では空に展開されます。
既に定義済みの場合は再定義されません。

Definition at line 46 of file libbase.h.

Referenced by console_output(), and sample_func().

## Function Documentation

## ◆ sample_func()

BASE_EXPORT int BASE_API sample_func | ( | const int | a,
|  | const int | b,
|  | int * | result )
| extern

計算処理を行います。

Parameters

  [in] | a | 第一オペランド。
  [in] | b | 第二オペランド。
  [out] | result | 計算結果を格納するポインタ。

Returns
  成功時は 0、失敗時は -1 を返します。

Warning
  result が NULL の場合は -1 を返します。

Definition at line 20 of file sample_func.c.

References BASE_API, console_output(), and pfo_sample_func.

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ console_output()

BASE_EXPORT void BASE_API console_output | ( | const char * | format,
|  |  | ... )
| extern

printf と同じ書式でコンソールに出力します。

Parameters

  [in] | format | printf 互換の書式文字列。
  [in] | ... | 書式文字列に対応する引数。

この関数は printf のラッパーです。
動的ライブラリ内から呼び出し元プロセスのコンソールに出力します。

使用例
  console_output("result: %d\n", 42); // 出力: result: 42
  console_output
  BASE_EXPORT void BASE_API console_output(const char *format,...)
  printf と同じ書式でコンソールに出力します。
  Definition console_output.c:21

Definition at line 21 of file console_output.c.

References BASE_API.

Referenced by main(), override_func(), and sample_func().

Here is the caller graph for this function:

## ◆ funcman_info_libbase()

BASE_EXPORT int BASE_API funcman_info_libbase | ( | void |  | ) |
| extern

libbase が管理する funcman_object ポインタ配列の内容を標準出力に表示します。

Returns
  すべてのエントリが正常に解決されている場合は 0、1 つでも失敗している場合は -1 を返します。

Definition at line 47 of file funcman_libbase.c.

References fobj_array_libbase, fobj_length_libbase, and funcman_configpath.

Referenced by main().

Here is the caller graph for this function: